# Introduction to C++

---

![](assets/75810h1e96t27.jpg)

C++ as we know it was created by **Bjarne Stroustrup**, 1979 as "C with Classes"

In 1983 it was renamed to C++ and added:

* Virtual functions
* Function name and operator overloading,  references
* _const_
* // single line comments **\(Oy! This is now in C too!\)**

By the 1990's, C++ had the fastest growing community with the widespread use of Graphical User Interfaces \(GUIs\) and Object Oriented Progrramming \(OOP\).

By 1998, the first C++ standard was adopted, which included the Standard Template Library.

---

-C++ is a superset of C

-All libraries from C are available in C++

-Resource handling is much improved

-Higher-level Concepts such as generic programming are now possible

-They also share all of the same short-comings

-User-defined C++ types are difficult to integrate with old C.

---



